Bug 1250547 - New options in host edit dialog prevents saving of host changes
New options in host edit dialog prevents saving of host changes
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.6
Unspecified Unspecified
high Severity urgent
: ---
: 3.6.0
Assigned To: Alexander Wels
Petr Matyáš
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 08:44 EDT by Petr Matyáš
Modified: 2016-02-10 14:45 EST (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 08:51:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot - host edit dialog (189.60 KB, image/png)
2015-08-05 08:44 EDT, Petr Matyáš
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44498 ovirt-engine-3.6 MERGED webadmin: foreman/katello dropdown Never

  None (edit)
Description Petr Matyáš 2015-08-05 08:44:34 EDT
Created attachment 1059460 [details]
screenshot - host edit dialog

Description of problem:
If I try to edit some host, I get 3 new options: Discovered Hosts, Host Groups, Compute Resources. These options are combo boxes, but no choices are presented. However without setting these options I can't save the dialog with changes in e.g. power management. I have to remove the host and create "new" one with new settings.

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.6.0-0.0.master.20150804111407.git122a3a0.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. edit host
2. change its name
3. try to save the dialog

Actual results:
error

Expected results:
successful change

Additional info:
Comment 1 Einav Cohen 2015-08-06 10:15:57 EDT
@Alexander, based on Oved moving this BZ to MODIFIED, I assume that this is already done;

- can you please add the relevant oVirt gerrit patch id in the External Tracker field?

- can you please make sure that the patch is in the ovirt-engine-3.6 branch (i.e. either merged to 'master' before 'ovirt-engine-3.6' branching, or merged to 'master' after 'ovirt-engine-3.6' branching and backported to 'ovirt-engine-3.6')?

thanks.
Comment 2 Alexander Wels 2015-08-06 10:20:34 EDT
The fix for this was to revert the patch. Which happened before the 3.6 branch.
Comment 3 Oved Ourfali 2015-08-06 12:58:43 EDT
Alexander, please make sure it was indeed before the branching, as it might have been done several hours after. Also, I know that a new version was resubmitted  fixed by Greg as well, so need to make sure it is in as well.
Comment 4 Alexander Wels 2015-08-06 13:37:39 EDT
Once the linked oVirt gerrit patch is merged this should all be resolved (well except that you can't create new VMs any more, but I have another patch for that as well).
Comment 5 Sandro Bonazzola 2015-11-04 08:51:23 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.